Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.examples.Pie
Class ULCPieChart

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.application.ULCProxy
                  |
                  +--com.ibm.ulc.application.ULCComponent
                        |
                        +--com.ibm.ulc.examples.Pie.ULCPieChart

public class ULCPieChart
extends com.ibm.ulc.application.ULCComponent

Implement the ULCPieChart proxy widget that is used to communicate with the UIPieChart extension.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `fColors` Array containing the colors of all pie segments.
`protected java.lang.String[]` | `fLabels` Array containing the labels of all pie segments.
`protected double[]` | `fValues` Array containing the values of all pie segments.

Fields inherited from class com.ibm.ulc.application.ULCComponent
`fBackColor, fCursor, fEnabled, fEnabler, fFont, fForeColor, fLabel, fPopupMenu, fToolTipText, fVisible`

Fields inherited from class com.ibm.ulc.application.ULCProxy
`fContext, fList, fListeners, fOptionalEvents`

Constructor Summary
`ULCPieChart()` Create an instance of the pie chart with the default height and width.
`ULCPieChart(int w, int h)` Create an instance of the pie chart with the specified height and width.

Method Summary
`void` | `addActionListener(com.ibm.ulc.application.IActionListener listener)` Register the specified listener to receive notification every time a pie segment is selected.
`void` | `handleRequest(ORBConnection conn, java.lang.String request, Anything args)` The UI has sent a request to this object.
`void` | `removeActionListener(com.ibm.ulc.application.IActionListener listener)` Unregisters the given observer from the notification list so it will no longer receive action events.
`protected void` | `saveState(Anything a)` Save the state of this object on the supplied Anything.
`void` | `setData(java.lang.String[] labels, double[] values, java.lang.String[] colors)` Set the data for the PieChart
`java.lang.String` | `typeString()` Return the fully qualified class path to my proxy class in the UI.

Methods inherited from class com.ibm.ulc.application.ULCComponent
`getBackground, getCursor, getEnabler, getFont, getForeground, getPopupMenu, getToolTipText, internalConvertColor, internalSetCursor, internalSetEnabled, internalSetLabel, isEnabled, isVisible, requestFocus, setBackground, setCursor, setEnabled, setEnabler, setFont, setForeground, setPopupMenu, setToolTipText, setVisible`

Methods inherited from class com.ibm.ulc.application.ULCProxy
`convert, convert, disableOptionalEvent, distributeToListeners, enableOptionalEvent, free, getContext, getRef, internalAdd, internalAdd, internalAddListener, internalGetComponents, internalInsert, internalRemove, internalRemove, internalRemoveListener, isOptionalEventEnabled, sendUI, sendUI, sendUI, upload`

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble, trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fValues

    protected double[] fValues

  Array containing the values of all pie segments.

### fColors

    protected java.lang.String[] fColors

  Array containing the colors of all pie segments.

### fLabels

    protected java.lang.String[] fLabels

  Array containing the labels of all pie segments.

Constructor Detail

### ULCPieChart

    public ULCPieChart()

  Create an instance of the pie chart with the default height and width.

### ULCPieChart

    public ULCPieChart(int w,
                       int h)

  Create an instance of the pie chart with the specified height and width.

Method Detail

### addActionListener

    public void addActionListener(com.ibm.ulc.application.IActionListener listener)

  Register the specified listener to receive notification every time a pie segment is selected.
  Parameters:
    `listener` - The `IActionListener` object

### handleRequest

    public void handleRequest(ORBConnection conn,
                              java.lang.String request,
                              Anything args)

  The UI has sent a request to this object. Do all processing necessary. If this object does not handle this request call super.handleRequest.
  Parameters:
    `conn` - ORBConnection The connection on which the reply should be sent.
    `request` - String The string that identifies this request.
    `args` - Anything The arguments associated with this request.
  Overrides:
    handleRequest in class com.ibm.ulc.application.ULCProxy

### removeActionListener

    public void removeActionListener(com.ibm.ulc.application.IActionListener listener)

  Unregisters the given observer from the notification list so it will no longer receive action events.
  Parameters:
    `listener` - The widget that was registered to receive my actionEvents.

### saveState

    protected void saveState(Anything a)

  Save the state of this object on the supplied Anything. Every ULCProxy object that needs to send state to the UI must override this method to save its state in the Anything and then call the super class implementation.
  Parameters:
    `a` - Anything The object into which my state should be saved.
  Overrides:
    saveState in class com.ibm.ulc.application.ULCComponent

### setData

    public void setData(java.lang.String[] labels,
                        double[] values,
                        java.lang.String[] colors)

  Set the data for the PieChart

### typeString

    public java.lang.String typeString()

  Return the fully qualified class path to my proxy class in the UI. Note that this string is case sensitive and specifies the full package path to the UIProxy widget in the UIEngine.
  Overrides:
    typeString in class com.ibm.ulc.application.ULCProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD